Overview
GET
/project/projects/{id}/statusesprojectList a project's board columns (by position)
Fetch a record from statuses by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Statuses
- idstring
- ecosystemIdstring
- projectIdstring
- keystring
stable identifier, unique within the project
- labelstring
- category"todo" | "in_progress" | "done"
- positioninteger
column order (ascending)
- createdAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"projectId": "string",
"key": "string",
"label": "string",
"category": "todo",
"position": 0,
"createdAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/projects/{id}/statuses" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/statuses", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();